> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Custody Wallet

> Updates a custody wallet's display name and/or link after Zod validation.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/update-custody-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/update-custody-wallet:
    post:
      operationId: updateCustodyWallet
      summary: Update Custody Wallet
      description: >-
        Updates a custody wallet's display name and/or link after Zod
        validation.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCustodyWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCustodyWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateCustodyWalletRequest:
      type: object
      properties:
        custodyWalletID:
          type: string
          format: uuid
        walletName:
          type: string
          minLength: 1
          maxLength: 255
        walletLink:
          oneOf:
            - type: string
              format: uri
            - const: ''
      required:
        - custodyWalletID
    UpdateCustodyWalletResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
